> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-api/caf-api-pt-br/api-core/transaction-details/services/private-faceset.md).

# Conjunto de rostos privado

Comparação da foto enviada com a foto no banco de dados privado de faces do cliente.

**Seção**: `privateFaceset`

**Arquivos obrigatórios:** `selfie ou imagem de documento contendo uma foto`

{% tabs %}
{% tab title="Esquema" %}

| Atributo                                 | Tipo     | Descrição                                                                                                                                                |
| ---------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| statusCode                               | String   | Código de status da resposta                                                                                                                             |
| dados                                    | Objeto   | Dados de retorno                                                                                                                                         |
| data.suspect                             | Booleano | Indicador geral de que um rosto semelhante foi encontrado. Este valor considera a confirmação manual do campo verificado de cada correspondência facial. |
| data.faceMatches                         | Array    | Array de imagens que correspondem à face de entrada                                                                                                      |
| data.faceMatches\[X].similarity          | String   | Nível de similaridade nas imagens comparadas                                                                                                             |
| data.faceMatches\[X].verified            | Booleano | Indica que a correspondência foi confirmada manualmente por nossos operadores.                                                                           |
| data.faceMatches\[X].faceset             | Objeto   | Dados da face inserida no faceset privado                                                                                                                |
| data.faceMatches\[X].faceset.\_id        | Objeto   | ID da face inserida no faceset privado                                                                                                                   |
| data.faceMatches\[X].faceset.createdAt   | Objeto   | Data de criação da face inserida no faceset privado                                                                                                      |
| data.faceMatches\[X].faceset.description | Objeto   | Descrição da face inserida no faceset privado                                                                                                            |
| {% endtab %}                             |          |                                                                                                                                                          |

{% tab title="Exemplo" %}

```json
{
  "privateFaceset": {
    "statusCode": "01",
    "data": {
      "faceMatches": [
        {
          "similarity": "99.99998474121094",
          "verified": true,
          "faceset": {
            "_id": "6349abae10920e000909b47a",
            "createdAt": "2022-10-14T18:34:24.606Z",
            "description": "Documento alterado"
          }
        }
      ],
      "suspect": true
    }
  }
}
```

{% endtab %}

{% tab title="Regras de Validação" %}

| Regra                                 | Descrição                                                                                                                |
| ------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| private\_faceset\_not\_contains\_face | A regra será inválida se a selfie enviada corresponder a uma das selfies registradas no Banco de Dados Privado de Faces. |
| {% endtab %}                          |                                                                                                                          |
| {% endtabs %}                         |                                                                                                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.caf.io/caf-api/caf-api-pt-br/api-core/transaction-details/services/private-faceset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
